/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2009, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#include "content.h"
#include "../core/request.h"
#include "../core/data.h"












void Content::FunLogout()
{
	if( request.session->puser )
	{
		log << log2 << "User: " << request.session->puser->name <<  ", id: " << request.session->puser->id << " logged out" << logend;
		
		data.last.UserLogout(request.session->puser->id, request.session->id);

		if( data.how_many_logged > 0 ) // for safety
			data.how_many_logged -= 1;
		
		request.session->puser = 0;
		request.session->remember_me = 0;
	}

	std::string path;
	data.dirs.MakePath(request.dir_table.back()->id, path);
	request.redirect_to = data.base_url + path;
	
	if( request.is_item )
		request.redirect_to += request.item.url;
	
	request.session->done = Done::loggedout;
	request.session->done_timer = 2;
}


